﻿# Banter plugin for Deathrun Mod v 1.9
# Visit our DeathRun Server 195.211.101.189:27016
# Visit our site www.tk-portal.ru

import es, gamethread, random, playerlib, langlib

player = {}

deathrun_timeban = es.ServerVar("deathrun_timeban")

text = langlib.Strings("cstrike/addons/eventscripts/deathrun/language/banter.ini")

def load():
    es.server.cmd("es_xmexec ../addons/eventscripts/deathrun/deathrun.cfg")
    for userid in es.getUseridList():
        player[str(userid)] = 0

def unload():
    player.clear()
    gamethread.cancelDelayed('noexit')

def es_map_start(event_var): 
    es.server.cmd("es_xmexec ../addons/eventscripts/deathrun/deathrun.cfg")

def player_activate(ev):
    userid = ev['userid']
    if userid not in player:
        player[userid] = 0

def player_team(ev):
    player[ev['userid']] = int(ev['team'])

def player_disconnect(ev):
    userid = ev['userid']
    if userid in player:
        if player[userid] == 2 and ev['reason'] == 'Disconnect by user.':
            if es.getplayercount() > 1:
                steam = ev['networkid']
                if steam != 'BOT':
                    if es.ServerVar("sb_version") != 0:
                        es.server.queuecmd('sm_addban %s %s "Terrorist disconnect"'%(str(deathrun_timeban),steam))   
                    else:
                        es.server.queuecmd('banid %s %s ;writeid'%(str(deathrun_timeban),steam))
        del player[userid]

def round_start(event_var):
    gamethread.delayedname(20, 'noexit', noexit)

def noexit():    
    tokens = {}
    if random.randint(1,5) == 5:
        if es.getplayercount() > 0:
            for userid in playerlib.getPlayerList('#all'):
                player = playerlib.getPlayer(userid)
                tokens['bantime'] = str(deathrun_timeban)
                es.tell(userid, "#multi", text("nodisconnect", tokens, player.get("lang")))

def round_end(event_var):
    gamethread.cancelDelayed('noexit')

